## org.hibernate.metamodel.domain
Interface SingularAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  AbstractAttributeContainer.SingularAttributeImpl

    public interface SingularAttribute

extends Attribute

A single valued (non-collection) attribute

Method Summary
`Type` `getSingularAttributeType()` Retrieve the attribute type descriptor.
`boolean` `isTypeResolved()`
`void` `resolveType(Type type)`

Methods inherited from interface org.hibernate.metamodel.domain.Attribute
`getAttributeContainer, getName, isSingular`

Method Detail

### getSingularAttributeType

    Type getSingularAttributeType()

  Retrieve the attribute type descriptor.

  Returns:
    THe attribute type.

### isTypeResolved

    boolean isTypeResolved()

### resolveType

    void resolveType(Type type)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.